using CsvHelper.Configuration;
using CsvHelper.Configuration.Attributes;

namespace UniversalTagEditor.Types;

public class TrackInfo
{
    public string TrackNumber;
    public string Disc;

    public string Title;

    public string Composers;
    public string Artists;

    public string Publisher;

    public string Year;
    public string Genres;
}

public class TrackInfoMap : ClassMap<TrackInfo>
{
    public TrackInfoMap()
    {
        Map(m => m.TrackNumber).Name("Track #").Index(0);
        Map(m => m.Disc).Name("Disc").Index(1);
        Map(m => m.Title).Name("Track Title").Index(2);
        Map(m => m.Composers).Name("Composers").Index(3);
        Map(m => m.Artists).Name("Artists").Index(4);
        Map(m => m.Publisher).Name("Publisher").Index(5);
        Map(m => m.Year).Name("Copyright Year").Index(6);
        Map(m => m.Genres).Name("Genres").Index(7);
    }
}